%global dlrn_nvr diskimage-builder-2.33.0-0.20200116020449.ae2be0b
%global dlrn 1
%define upstream_version 2.33.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           diskimage-builder
Summary:        Image building tools for OpenStack
Version: 2.33.0
Release: 0.20200116020450.ae2be0b%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://launchpad.net/diskimage-builder
Source0: diskimage-builder-2.33.0-0.20200116020449.ae2be0b.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=ae2be0b464392256df7009f7030281963c06aa81
Patch0001: 0001-DOWNSTREAM-ONLY-Revert-Install-ndisc6-package-in-ele.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Revert-Add-IPv6-support-in-dhcp-all-.patch
Patch0003: 0003-DOWNSTREAM-ONLY-Enable-RHEL-module-configuration.patch

AutoReqProv: no

BuildArch: noarch

BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-setuptools
BuildRequires: python%{pyver}-pbr
%if %{pyver} == 2
BuildRequires: python-d2to1
%else
BuildRequires: python%{pyver}-d2to1
BuildRequires: /usr/bin/pathfix.py
%endif

Requires: kpartx
Requires: qemu-img
Requires: curl
Requires: tar
Requires: git
Requires: dib-utils
Requires: xfsprogs
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: python%{pyver}
Requires: python%{pyver}-flake8
Requires: python%{pyver}-pbr
Requires: python%{pyver}-six
Requires: python%{pyver}-stevedore
%if %{pyver} == 2
Requires: python-babel
Requires: python-networkx
Requires: PyYAML
%else
Requires: python%{pyver}-babel
Requires: python%{pyver}-networkx
Requires: python%{pyver}-PyYAML
%endif

%global __requires_exclude /usr/local/bin/dib-python
%global __requires_exclude %__requires_exclude|/sbin/runscript

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

%build
%{pyver_build}

%install
%{pyver_install}

mkdir -p %{buildroot}%{_datadir}/%{name}/elements

cp -vr diskimage_builder/elements/ %{buildroot}%{_datadir}/%{name}

# explicitly remove config-applier since it does a pip install
rm -rf %{buildroot}%{_datadir}/%{name}/elements/config-applier

# This file is being split out of diskimage-builder, so remove it to
# avoid conflicts with the new package.
rm -f %{buildroot}%{_bindir}/dib-run-parts

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/pypi/pre-install.d/04-configure-pypi-mirror
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/package-installs/bin/package-installs-squash
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/svc-map/extra-data.d/10-merge-svc-map-files
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/svc-map/bin/svc-map
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/pypi/pre-install.d/04-configure-pypi-mirror
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/package-installs/bin/package-installs-squash
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/svc-map/extra-data.d/10-merge-svc-map-files
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/svc-map/bin/svc-map
%endif

%description
Components of TripleO that are responsible for building disk images.

%files
%doc LICENSE
%doc doc/source/ci.md
%{_bindir}/*
%{pyver_sitelib}/diskimage_builder*
%{_datadir}/%{name}/elements

%changelog
* Tue Aug 04 2020 Miguel Garcia <mgarciac@redhat.com> 2.33.0-0.20200116020450.ae2be0b
- (DOWNSTREAM-ONLY) Enable RHEL module configuration (rhbz#1863333)

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- (DOWNSTREAM-ONLY) Revert "Add IPv6 support in dhcp-all-interfaces" (rhbz#1782228)
- (DOWNSTREAM-ONLY) Revert "Install ndisc6 package in element script" (rhbz#1782228)
- Fix Yum repositories and GPG keys for CentOS 8.1

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- (DOWNSTREAM-ONLY) Revert "Add IPv6 support in dhcp-all-interfaces" (rhbz#1782228)
- (DOWNSTREAM-ONLY) Revert "Install ndisc6 package in element script" (rhbz#1782228)
- allow building of Gentoo images for non-systemd profiles

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- (DOWNSTREAM-ONLY) Revert "Add IPv6 support in dhcp-all-interfaces" (rhbz#1782228)
- (DOWNSTREAM-ONLY) Revert "Install ndisc6 package in element script" (rhbz#1782228)
- modprobe.d: use $TMP_MOUNT_PATH

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- (DOWNSTREAM-ONLY) Revert "Add IPv6 support in dhcp-all-interfaces" (rhbz#1782228)
- (DOWNSTREAM-ONLY) Revert "Install ndisc6 package in element script" (rhbz#1782228)
- Merge "Install rng-tools in Red Hat family distro images"
- Install rng-tools in Red Hat family distro images

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- (DOWNSTREAM-ONLY) Revert "Add IPv6 support in dhcp-all-interfaces" (rhbz#1782228)
- (DOWNSTREAM-ONLY) Revert "Install ndisc6 package in element script" (rhbz#1782228)
- Merge "Add arm64 based functional test"
- Add arm64 based functional test

* Sun Dec 15 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- (DOWNSTREAM-ONLY) Revert "Add IPv6 support in dhcp-all-interfaces" (rhbz#1782228)
- (DOWNSTREAM-ONLY) Revert "Install ndisc6 package in element script" (rhbz#1782228)
- Merge "Fix wrong URL in ironic-agent element"
- Update bindep for RHEL/CentOS 8
- Fix wrong URL in ironic-agent element

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- (DOWNSTREAM-ONLY) Revert "Add IPv6 support in dhcp-all-interfaces" (rhbz#1782228)
- (DOWNSTREAM-ONLY) Revert "Install ndisc6 package in element script" (rhbz#1782228)
- Merge "Set correct python version for non-chroot scripts"
- Set correct python version for non-chroot scripts

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- (DOWNSTREAM-ONLY) Revert "Add IPv6 support in dhcp-all-interfaces" (rhbz#1782228)
- (DOWNSTREAM-ONLY) Revert "Install ndisc6 package in element script" (rhbz#1782228)
- Work around Trusty ext4 metadata_csum errors on Bionic
- Drop Xenial from functional test

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- (DOWNSTREAM-ONLY) Revert "Add IPv6 support in dhcp-all-interfaces" (rhbz#1782228)
- (DOWNSTREAM-ONLY) Revert "Install ndisc6 package in element script" (rhbz#1782228)

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Allow zypper repos to be overrideable"
- Allow zypper repos to be overrideable

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Install ndisc6 package in element script"
- Merge "Fix regex for mirror URL substitution"
- Merge "Break retry loop on success in dhcp-all-interfaces"
- Merge "Fix login.defs config for tumbleweed"
- Fix regex for mirror URL substitution
- Install ndisc6 package in element script
- Fix login.defs config for tumbleweed
- Break retry loop on success in dhcp-all-interfaces

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Make sure DIB_DEBUG_TRACE has a default value

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Add IPv6 support in dhcp-all-interfaces"
- Add IPv6 support in dhcp-all-interfaces

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Stop installing pydistutils.cfg"
- Stop installing pydistutils.cfg

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Update bindep.txt for some missing dependencies"
- Update bindep.txt for some missing dependencies

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Add output for mis-configured element scripts"
- Merge "Ensure nouveau is blacklisted in initramfs too"
- Merge "Adds support for GPG keyring"
- Merge "Only wait for checksum processes"
- Merge "Introduce manual setting of DIB_INIT_SYSTEM"
- Only wait for checksum processes
- Introduce manual setting of DIB_INIT_SYSTEM
- Add output for mis-configured element scripts
- Add grub-efi-x86_64 pkg-map
- Adds support for GPG keyring
- Ensure nouveau is blacklisted in initramfs too

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Remove unused job

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- vhd-util : note on Xen/RAX images

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Revert "Drop vhdutil dependency, use qemu-img"

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Revert "Pause Fedora jobs"

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Deprecates the existing "ironic-agent" element in DIB

* Sun Oct 27 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "pip-and-virtualenv: include python3-venv for Debuntu"
- pip-and-virtualenv: include python3-venv for Debuntu

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Drop vhdutil dependency, use qemu-img"
- Drop vhdutil dependency, use qemu-img

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Add security suite name override in debian-minimal"
- Add security suite name override in debian-minimal

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Ensure machine-id is not included in images"
- Ensure machine-id is not included in images

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Fix syntax error in selinux-fixfiles-restore"
- Fix syntax error in selinux-fixfiles-restore

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "bootloader: make serial console configurable"
- Merge "Update gentoo test to current system profile"
- bootloader: make serial console configurable
- Update gentoo test to current system profile

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Pause Fedora jobs

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Blacklist sphinx 2.1.0 (autodoc bug)"
- Blacklist sphinx 2.1.0 (autodoc bug)

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "centos7; use numeric DIB_RELEASE"
- centos7; use numeric DIB_RELEASE

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "Remove RA solicit delay"
- Remove RA solicit delay

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Temporarily disable Fedora 30 build jobs

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- CentOS 8 minimal testing and support

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Add NetworkManager and dhcp-client for CentOS 8
- Fix networking for CentOS 8

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- simple-init: Use wrappers to call pip for glean install

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- simple-init: default to NetworkManager for CentOS and Fedora

* Sat Oct 05 2019 OSP Prod Chain <dev-null@redhat.com> 2.20.3-1
- Update patches
- Merge "pip-and-virtualenv : deprecate source for CentOS 8, new variables"
- pip-and-virtualenv : deprecate source for CentOS 8, new variables

* Fri Mar 22 2019 RDO <dev@lists.rdoproject.org> 2.20.3-1
- Update to 2.20.3

